class CreateTagSimilarities < ActiveRecord::Migration[7.0]
  def change
    create_table :tag_similarities do |t|
      t.references :tag, null: false, foreign_key: { to_table: :tags }
      t.references :target_tag, null: false, foreign_key: { to_table: :tags }
      t.float :cos, null: false
    end
  end
end
